## netsurf 3.11~6790

=== netsurf/Makefile ===
#
# Makefile for NetSurf
#
# Copyright 2007 Daniel Silverstone <dsilvers@netsurf-browser.org>
# Copyright 2008 Rob Kendrick <rjek@netsurf-browser.org>
# Copyright 2024 Vincent Sanders <vince@netsurf-browser.org>
#
# Trivially, invoke as:
#   make
# to build native, or:
#   make TARGET=riscos
# to cross-build for RO.
#
# Look at Makefile.config for configuration options.
#
# Best results obtained building on unix platforms cross compiling for others
#
# To clean, invoke as above, with the 'clean' target
#
# To build developer Doxygen generated documentation, invoke as above,
# with the 'docs' target:
#   make docs
#

.PHONY: all

all: all-program

# default values for base variables

# Resources executable target depends upon
RESOURCES=
# Messages executable target depends on
MESSAGES:=

# The filter applied to the fat (full) messages to generate split messages
MESSAGES_FILTER=any
# The languages in the fat messages to convert
MESSAGES_LANGUAGES=de en fr it nl zh_CN
# The target directory for the split messages
MESSAGES_TARGET=resources

# build verbosity
ifeq ($(V),1)
  Q:=
else
  Q=@
endif
VQ=@

# compute HOST, TARGET and SUBTARGET
include frontends/Makefile.hts

# tools used in builds
include Makefile.tools

# Target paths
OBJROOT = build/$(HOST)-$(TARGET)$(SUBTARGET)
DEPROOT := $(OBJROOT)/deps
TOOLROOT := $(OBJROOT)/tools

# keep C flags from environment
CFLAGS_ENV := $(CFLAGS)
CXXFLAGS_ENV := $(CXXFLAGS)

# library and feature building macros
include Makefile.macros

# ----------------------------------------------------------------------------
# General flag setup
# ----------------------------------------------------------------------------

# host compiler flags
BUILD_CFLAGS = -g -W -Wall -Wundef -Wpointer-arith -Wcast-align \
	-Wwrite-strings -Wmissing-declarations -Wuninitialized \
	-Wno-unused-parameter

# Set up the warning flags here so that they can be overridden in the
#   Makefile.config
COMMON_WARNFLAGS = -W -Wall -Wundef -Wpointer-arith -Wcast-align \
	-Wwrite-strings -Wmissing-declarations -Wuninitialized

ifneq ($(CC_MAJOR),2)
  COMMON_WARNFLAGS += -Wno-unused-parameter
endif

# deal with lots of unwanted warnings from javascript
ifeq ($(call cc_ver_ge,4,6),1)
  COMMON_WARNFLAGS += -Wno-unused-but-set-variable
endif

ifeq ($(TOOLCHAIN),gcc)
  # Implicit fallthrough warnings
  ifeq ($(call cc_ver_ge,7,1),1)
    COMMON_WARNFLAGS += -Wimplicit-fallthrough=5
  endif
else
  # non gcc has different warning syntax
  COMMON_WARNFLAGS += -Wimplicit-fallthrough
endif

# deal with chaging warning flags for different platforms
ifeq ($(HOST),OpenBSD)
  # OpenBSD headers are not compatible with redundant declaration warning
  COMMON_WARNFLAGS += -Wno-redundant-decls
else
  COMMON_WARNFLAGS += -Wredundant-decls
endif

# c++ default warning flags
CXXWARNFLAGS :=

# C default warning flags
CWARNFLAGS := -Wstrict-prototypes -Wmissing-prototypes -Wnested-externs

# Pull in the default configuration
include Makefile.defaults

# Pull in the user configuration
-include Makefile.config

# libraries enabled by feature switch without pkgconfig file 
$(eval $(call feature_switch,JPEG,JPEG (libjpeg),-DWITH_JPEG,-ljpeg,-UWITH_JPEG,))
$(eval $(call feature_switch,HARU_PDF,PDF export (haru),-DWITH_PDF_EXPORT,-lhpdf -lpng,-UWITH_PDF_EXPORT,))
$(eval $(call feature_switch,LIBICONV_PLUG,glibc internal iconv,-DLIBICONV_PLUG,,-ULIBICONV_PLUG,-liconv))
$(eval $(call feature_switch,DUKTAPE,Javascript (Duktape),,,,,))

# Common libraries with pkgconfig
$(eval $(call pkg_config_find_and_add,libcss,CSS))
$(eval $(call pkg_config_find_and_add,libdom,DOM))
$(eval $(call pkg_config_find_and_add,libnsutils,nsutils))

# Common libraries without pkg-config support
LDFLAGS += -lz

# Optional libraries with pkgconfig

# define additional CFLAGS and LDFLAGS requirements for pkg-configed libs
# We only need to define the ones where the feature name doesn't exactly
# match the WITH_FEATURE flag
NETSURF_FEATURE_NSSVG_CFLAGS := -DWITH_NS_SVG
NETSURF_FEATURE_ROSPRITE_CFLAGS := -DWITH_NSSPRITE

# libcurl and openssl ordering matters as if libcurl requires ssl it
#  needs to come first in link order to ensure its symbols can be
#  resolved by the subsequent openssl

# freemint does not support pkg-config for libcurl
ifeq ($(HOST),mint)
    CFLAGS += $(shell curl-config --cflags)
    LDFLAGS += $(shell curl-config --libs)
else
    $(eval $(call pkg_config_find_and_add_enabled,CURL,libcurl,Curl))
endif
$(eval $(call pkg_config_find_and_add_enabled,OPENSSL,openssl,OpenSSL))

$(eval $(call pkg_config_find_and_add_enabled,UTF8PROC,libutf8proc,utf8))
$(eval $(call pkg_config_find_and_add_enabled,JPEGXL,libjxl,JPEGXL))
$(eval $(call pkg_config_find_and_add_enabled,WEBP,libwebp,WEBP))
$(eval $(call pkg_config_find_and_add_enabled,PNG,libpng,PNG))
$(eval $(call pkg_config_find_and_add_enabled,BMP,libnsbmp,BMP))
$(eval $(call pkg_config_find_and_add_enabled,GIF,libnsgif,GIF))
$(eval $(call pkg_config_find_and_add_enabled,NSSVG,libsvgtiny,SVG))
$(eval $(call pkg_config_find_and_add_enabled,ROSPRITE,librosprite,Sprite))
$(eval $(call pkg_config_find_and_add_enabled,NSPSL,libnspsl,PSL))
$(eval $(call pkg_config_find_and_add_enabled,NSLOG,libnslog,LOG))

# List of directories in which headers are searched for
INCLUDE_DIRS :=. include $(OBJROOT)

# export the user agent format
CFLAGS += -DNETSURF_UA_FORMAT_STRING=\"$(NETSURF_UA_FORMAT_STRING)\"
CXXFLAGS += -DNETSURF_UA_FORMAT_STRING=\"$(NETSURF_UA_FORMAT_STRING)\"

# set the default homepage to use
CFLAGS += -DNETSURF_HOMEPAGE=\"$(NETSURF_HOMEPAGE)\"
CXXFLAGS += -DNETSURF_HOMEPAGE=\"$(NETSURF_HOMEPAGE)\"

# set the logging level
CFLAGS += -DNETSURF_LOG_LEVEL=$(NETSURF_LOG_LEVEL)
CXXFLAGS += -DNETSURF_LOG_LEVEL=$(NETSURF_LOG_LEVEL)

# If we're building the sanitize goal, override things
ifneq ($(filter-out sanitize,$(MAKECMDGOALS)),$(MAKECMDGOALS))
override NETSURF_USE_SANITIZER := YES
override NETSURF_RECOVER_SANITIZERS := NO
endif

# If we're going to use the sanitizer set it up
ifeq ($(NETSURF_USE_SANITIZER),YES)
SAN_FLAGS := -fsanitize=address -fsanitize=undefined
ifeq ($(NETSURF_RECOVER_SANITIZERS),NO)
SAN_FLAGS += -fno-sanitize-recover
endif
else
SAN_FLAGS :=
endif
CFLAGS += $(SAN_FLAGS)
CXXFLAGS += $(SAN_FLAGS)
LDFLAGS += $(SAN_FLAGS)

# and the logging filter
CFLAGS += -DNETSURF_BUILTIN_LOG_FILTER=\"$(NETSURF_BUILTIN_LOG_FILTER)\"
CXXFLAGS += -DNETSURF_BUILTIN_LOG_FILTER=\"$(NETSURF_BUILTIN_LOG_FILTER)\"
# and the verbose logging filter
CFLAGS += -DNETSURF_BUILTIN_VERBOSE_FILTER=\"$(NETSURF_BUILTIN_VERBOSE_FILTER)\"
CXXFLAGS += -DNETSURF_BUILTIN_VERBOSE_FILTER=\"$(NETSURF_BUILTIN_VERBOSE_FILTER)\"

# Determine if the C compiler supports statement expressions
# This is needed to permit certain optimisations in our library headers
ifneq ($(shell $(CC) -dM -E - < /dev/null | grep __GNUC__),)
CFLAGS += -DSTMTEXPR=1
CXXFLAGS += -DSTMTEXPR=1
endif

# We trace during link so that we can determine if a libary changes under us in
# order to re-link.  This *may* be gcc specific, so may need tweaks in future.
LDFLAGS += -Wl,--trace

# ----------------------------------------------------------------------------
# General make rules
# ----------------------------------------------------------------------------

$(OBJROOT)/created:
	$(VQ)echo "   MKDIR: $(OBJROOT)"
	$(Q)$(MKDIR) -p $(OBJROOT)
	$(Q)$(TOUCH) $(OBJROOT)/created

$(DEPROOT)/created: $(OBJROOT)/created
	$(VQ)echo "   MKDIR: $(DEPROOT)"
	$(Q)$(MKDIR) -p $(DEPROOT)
	$(Q)$(TOUCH) $(DEPROOT)/created

$(TOOLROOT)/created: $(OBJROOT)/created
	$(VQ)echo "   MKDIR: $(TOOLROOT)"
	$(Q)$(MKDIR) -p $(TOOLROOT)
	$(Q)$(TOUCH) $(TOOLROOT)/created

CLEANS :=
POSTEXES :=

# ----------------------------------------------------------------------------
# Target specific setup
# ----------------------------------------------------------------------------

include frontends/Makefile

# ----------------------------------------------------------------------------
# Build tools setup
# ----------------------------------------------------------------------------

include tools/Makefile

# ----------------------------------------------------------------------------
# General source file setup
# ----------------------------------------------------------------------------

# Content sources
include content/Makefile

# utility sources
include utils/Makefile

# http utility sources
include utils/http/Makefile

# nsurl utility sources
include utils/nsurl/Makefile

# Desktop sources
include desktop/Makefile

# S_COMMON are sources common to all builds
S_COMMON := \
	$(S_CONTENT) \
	$(S_FETCHERS) \
	$(S_UTILS) \
	$(S_HTTP) \
	$(S_NSURL) \
	$(S_DESKTOP) \
	$(S_JAVASCRIPT_BINDING)


# ----------------------------------------------------------------------------
# Message targets
# ----------------------------------------------------------------------------


# generate the message file rules
$(eval $(foreach LANG,$(MESSAGES_LANGUAGES), \
	$(call split_messages,$(LANG))))

clean-messages:
	$(VQ)echo "   CLEAN: $(CLEAN_MESSAGES)"
	$(Q)$(RM) $(CLEAN_MESSAGES)
CLEANS += clean-messages


# ----------------------------------------------------------------------------
# Source file setup
# ----------------------------------------------------------------------------

# Force exapnsion of source file list
SOURCES := $(SOURCES)

ifeq ($(SOURCES),)
$(error Unable to build NetSurf, could not determine set of sources to build)
endif

OBJECTS := $(sort $(addprefix $(OBJROOT)/,$(subst /,_,$(patsubst %.c,%.o,$(patsubst %.cpp,%.o,$(patsubst %.m,%.o,$(patsubst %.s,%.o,$(SOURCES))))))))

# Include directory flags
IFLAGS = $(addprefix -I,$(INCLUDE_DIRS))

$(EXETARGET): $(OBJECTS) $(RESOURCES) $(MESSAGES) tools/linktrace-to-depfile.pl
	$(VQ)echo "    LINK: $(EXETARGET)"
ifneq ($(TARGET),riscos)
	$(Q)$(CC) -o $(EXETARGET) $(OBJECTS) $(LDFLAGS) > $(DEPROOT)/link-raw.d
else
	@# RISC OS targets are a bit special: we need to convert ELF -> AIF
  ifeq ($(SUBTARGET),-aof)
	$(Q)$(CC) -o $(EXETARGET) $(OBJECTS) $(LDFLAGS) > $(DEPROOT)/link-raw.d
  else
	$(Q)$(CXX) -o $(EXETARGET:,ff8=,e1f) $(OBJECTS) $(LDFLAGS) > $(DEPROOT)/link-raw.d
	$(Q)$(ELF2AIF) $(EXETARGET:,ff8=,e1f) $(EXETARGET)
	$(Q)$(RM) $(EXETARGET:,ff8=,e1f)
  endif
endif
	$(VQ)echo "LINKDEPS: $(EXETARGET)"
	$(Q)echo -n "$(EXETARGET) $(DEPROOT)/link.d: " > $(DEPROOT)/link.d
	$(Q)$(PERL) tools/linktrace-to-depfile.pl < $(DEPROOT)/link-raw.d >> $(DEPROOT)/link.d
ifeq ($(NETSURF_STRIP_BINARY),YES)
	$(VQ)echo "   STRIP: $(EXETARGET)"
	$(Q)$(STRIP) $(EXETARGET)
endif
ifeq ($(TARGET),beos)
	$(VQ)echo "    XRES: $(EXETARGET)"
	$(Q)$(BEOS_XRES) -o $(EXETARGET) $(RSRC_BEOS)
	$(VQ)echo "  SETVER: $(EXETARGET)"
	$(Q)$(BEOS_SETVER) $(EXETARGET) \
                -app $(VERSION_MAJ) $(VERSION_MIN) 0 d 0 \
                -short "NetSurf $(VERSION_FULL)" \
                -long "NetSurf $(VERSION_FULL) © 2003 - 2021 The NetSurf Developers"
	$(VQ)echo " MIMESET: $(EXETARGET)"
	$(Q)$(BEOS_MIMESET) $(EXETARGET)
endif

clean-target:
	$(VQ)echo "   CLEAN: $(EXETARGET)"
	$(Q)$(RM) $(EXETARGET)
CLEANS += clean-target


clean-builddir:
	$(VQ)echo "   CLEAN: $(OBJROOT)"
	$(Q)$(RM) -r $(OBJROOT)
CLEANS += clean-builddir


.PHONY: all-program

all-program: $(EXETARGET) $(POSTEXES)

.SUFFIXES:

DEPFILES :=

# Rules to construct dep lines for each object...
$(eval $(foreach SOURCE,$(filter %.c,$(SOURCES)), \
	$(call dependency_generate_c,$(SOURCE),$(subst /,_,$(SOURCE:.c=.d)),$(subst /,_,$(SOURCE:.c=.o)))))

$(eval $(foreach SOURCE,$(filter %.cpp,$(SOURCES)), \
	$(call dependency_generate_c,$(SOURCE),$(subst /,_,$(SOURCE:.cpp=.d)),$(subst /,_,$(SOURCE:.cpp=.o)))))

$(eval $(foreach SOURCE,$(filter %.m,$(SOURCES)), \
	$(call dependency_generate_c,$(SOURCE),$(subst /,_,$(SOURCE:.m=.d)),$(subst /,_,$(SOURCE:.m=.o)))))

# Cannot currently generate dep files for S files because they're objasm
# when we move to gas format, we will be able to.

#$(eval $(foreach SOURCE,$(filter %.s,$(SOURCES)), \

=== libdom/test/Makefile ===
testutils_files := testutils/comparators.c;testutils/list.c;testutils/domtsasserts.c
testutils_files := $(testutils_files);testutils/utils.c;testutils/foreach.c;testutils/load.c

TESTCFLAGS := $(TESTCFLAGS) -I$(DIR) -I$(DIR)testutils -Ibindings/xml -Ibindings/hubbub -Wno-unused -fno-strict-aliasing

ALL_XML_TESTS :=

WANT_XML_TEST := $(WANT_TEST)
# WANT_XML_TEST := no

# 1: Path to XML file
# 2: Fragment C file name
# 3: DTD file
# 4: Test name
define do_xml_test


ifeq ($$(WANT_XML_TEST),yes)

$(DIR)$2: $(DIR)testcases/tests/$1 $(DIR)transform.pl  $(DIR)DOMTSHandler.pm
	$(VQ)$(ECHO) "   XFORM: $1"
	$(Q)$(PERL) $(DIR)transform.pl $(DIR)$3 $(DIR)testcases/tests/$(dir $1)/files $(DIR)testcases/tests/$1 > $(DIR)$2

DIR_TEST_ITEMS := $$(DIR_TEST_ITEMS) $4:$2;$(testutils_files)

endif

DISTCLEAN_ITEMS := $$(DISTCLEAN_ITEMS) $(DIR)$2

ALL_XML_TESTS := $$(ALL_XML_TESTS) $4



endef

# 1: suite base
# 2: dtd for suite
define do_xml_suite

$(foreach XML,$(filter-out $1/metadata.xml,$(filter-out $1/alltests.xml,$(subst $(DIR)testcases/tests/,,$(wildcard $(DIR)testcases/tests/$1/*.xml)))),$(call do_xml_test,$(XML),$(subst /,_,$(XML:.xml=.c)),$2,$(subst /,_,$(XML:.xml=))))

endef

# 1: test name
define write_index

	$(Q)$(ECHO) "$1	$1" >> $@

endef

$(DIR)INDEX: test/Makefile
	$(VQ)$(ECHO) "   INDEX: Making test index"
	$(Q)$(ECHO) "#test	desc	dir" > $@
ifeq ($(WANT_XML_TEST),yes)
	$(foreach XMLTEST,$(sort $(ALL_XML_TESTS)),$(call write_index,$(XMLTEST)))
endif
	$(Q)$(ECHO) "normalize	Normalize nodes	normalize" > $@

TEST_PREREQS := $(TEST_PREREQS) $(DIR)INDEX

DIR_TEST_ITEMS := $(DIR_TEST_ITEMS) normalize:normalize.c;$(testutils_files)
# Include the level 1 core tests
$(eval $(call do_xml_suite,level1/core,dom1-interfaces.xml))
# Include level 1 html tests
$(eval $(call do_xml_suite,level1/html,dom1-interfaces.xml))

# Include the level 2 core tests
$(eval $(call do_xml_suite,level2/core,dom2-core-interface.xml))

# Include level 2 html tests
$(eval $(call do_xml_suite,level2/html,dom1-interfaces.xml))

CLEAN_ITEMS := $(DIR)INDEX

include $(NSBUILD)/Makefile.subdir

=== libsvgtiny/src/Makefile ===
# Sources
DIR_SOURCES := svgtiny.c svgtiny_gradient.c svgtiny_list.c svgtiny_parse.c svgtiny_path.c

SOURCES := $(SOURCES)

$(DIR)autogenerated_colors.c: src/colors.gperf
	$(VQ)$(ECHO) "   GPERF: $<"
	$(Q)gperf --output-file=$@.tmp $<
# Squash "error: no previous declaration for 'svgtiny_color_lookup'"
	$(Q)$(SED) -e 's/^\(const struct svgtiny_named_color\)/static \1/' $@.tmp >$@
	$(Q)$(RM) $@.tmp

PRE_TARGETS := $(DIR)autogenerated_colors.c

CLEAN_ITEMS := $(DIR)autogenerated_colors.c

include $(NSBUILD)/Makefile.subdir

=== libsvgtiny/test/Makefile ===
# Tests
DIR_TEST_ITEMS := svg2mvg:svg2mvg.c

# Fuzzer
DIR_FUZZER_ITEM := svgparse:svgparse.c
DIR_FUZZER_INPUT := ns-afl-svg
DIR_FUZZER_DICT := afl-svg.dict

include $(NSBUILD)/Makefile.subdir

=== netsurf/content/fetchers/about/Makefile ===
# about fetcher sources

S_FETCHER_ABOUT := \
	about.c \
	blank.c \
	certificate.c \
	chart.c \
	choices.c \
	config.c \
	imagecache.c \
	nscolours.c \
	query.c \
	query_auth.c \
	query_fetcherror.c \
	query_privacy.c \
	query_timeout.c \
	testament.c \
	websearch.c

# The following files depend on the testament
content/fetchers/about/testament.c: testament $(OBJROOT)/testament.h

=== debian/changelog ===
netsurf (3.11~6790-1) UNRELEASED; urgency=medium

  * Build both gtk2 and gtk3 versions
  * CI build

 -- Vincent Sanders <jenkins@netsurf-browser.org>  Sun, 23 Feb 2025 22:37:48 +0000

## netsurf 3.11~6792

=== debian/changelog ===
netsurf (3.11~6792-1) UNRELEASED; urgency=medium

  * Build both gtk2 and gtk3 versions
  * CI build

 -- Vincent Sanders <jenkins@netsurf-browser.org>  Sat, 01 Mar 2025 15:13:15 +0000

## netsurf 3.11~6796

=== debian/changelog ===
netsurf (3.11~6796-1) UNRELEASED; urgency=medium

  * Build both gtk2 and gtk3 versions
  * CI build

 -- Vincent Sanders <jenkins@netsurf-browser.org>  Sun, 02 Mar 2025 11:23:52 +0000

## netsurf 3.11~6799

=== libcss/test/Makefile ===
# Tests
DIR_TEST_ITEMS := csdetect:csdetect.c css21:css21.c lex:lex.c \
	lex-auto:lex-auto.c number:number.c \
	parse:parse.c parse-auto:parse-auto.c parse2-auto:parse2-auto.c \
	select:select.c select2:select2.c

include $(NSBUILD)/Makefile.subdir

=== libcss/src/select/Makefile ===
# Sources
.PHONY: select_generator
select_generator:
	python3 src/select/select_generator.py

DIR_SOURCES := arena.c calc.c computed.c dispatch.c hash.c select.c strings.c font_face.c format_list_style.c unit.c

include $(NSBUILD)/Makefile.subdir

=== debian/changelog ===
netsurf (3.11~6799-1) UNRELEASED; urgency=medium

  * Change to building gtk3 version
  * CI build

 -- Vincent Sanders <jenkins@netsurf-browser.org>  Sun, 02 Mar 2025 13:05:06 +0000

netsurf (3.7-1) unstable; urgency=medium

  * Make png generation reproducible.
  * Add font recommend dependancy for framebuffer edition
  * Remove unecessary patches for 3.7

 -- Vincent Sanders <vince@debian.org>  Mon, 02 Jan 2017 11:55:26 +0000

=== debian/control ===
Source: netsurf
Section: web
Priority: extra
Maintainer: Vincent Sanders <vince@debian.org>
Uploaders: Daniel Silverstone <dsilvers@digital-scurf.org>
Build-Depends: debhelper (>= 9~), libcurl3-dev, libpng-dev, libgtk-3-dev, flex, bison, libhtml-parser-perl, librsvg2-dev, libjpeg-dev, imagemagick, libfreetype6-dev, libvncserver-dev, libsdl1.2-dev, libxcb1-dev, libxcb-icccm4-dev, libxcb-image0-dev, libxcb-keysyms1-dev, libxcb-util0-dev, libssl1.0-dev, gperf, xxd
Standards-Version: 3.9.8
Homepage: https://www.netsurf-browser.org
Vcs-Browser: https://source.netsurf-browser.org/packaging/debian.git/
Vcs-Git: git://git.netsurf-browser.org/packaging/debian.git

Package: netsurf
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, netsurf-gtk
Provides: www-browser
Section: oldlibs
Description: small web browser with CSS support - transitional package
 NetSurf is a multi-platform lightweight web browser. Its aim is to provide
 comprehensive rendering of HTML 5 with CSS 2 in a small resource footprint 
 while remaining fast. 
 .
 This is a transitional package and can safely be removed.

Package: netsurf-gtk
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, netsurf-common (=${source:Version})
Provides: www-browser
Recommends: mime-support
Description: small web browser with CSS support for GTK
 NetSurf is a multi-platform lightweight web browser. It aims to provide
 comprehensive rendering of HTML 5 with CSS 2 in a small resource footprint
 without compromising performance.
 .
 This version uses the GTK+ toolkit.

Package: netsurf-fb
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, netsurf-common (=${source:Version})
Provides: www-browser
Recommends: mime-support, fonts-dejavu
Description: small web browser with CSS support for framebuffers
 NetSurf is a multi-platform lightweight web browser. It aims to provide
 comprehensive rendering of HTML 5 with CSS 2 in a small resource footprint
 without compromising performance.
 .
 This version uses no toolkit and displays output on various framebuffers.

Package: netsurf-common
Architecture: all
Depends: ${misc:Depends}, ca-certificates
Replaces: netsurf-gtk (<< 2.9-2)
Breaks: netsurf-gtk (<< 2.9-2)
Description: small web browser with CSS support common files
 NetSurf is a multi-platform lightweight web browser. It aims to provide
 comprehensive rendering of HTML 5 with CSS 2 in a small resource footprint
 without compromising performance.
 .
 These are the common resources for all versions.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-pie
export DEB_CFLAGS_MAINT_APPEND = -Wno-error
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@ 

override_dh_auto_build:
	dh_auto_build -- V=1 PREFIX=/usr TARGET=gtk3
	dh_auto_build -- V=1 PREFIX=/usr TARGET=framebuffer

override_dh_auto_install:
	dh_auto_install -- PREFIX=/usr TARGET=gtk3
	mkdir -p debian/netsurf-gtk/usr/share/pixmaps
	mkdir -p debian/netsurf-gtk/usr/share/applications
	convert netsurf/frontends/gtk/res/netsurf.xpm -resize \!32x\!32 debian/netsurf-gtk/usr/share/pixmaps/netsurf.xpm
	convert netsurf/frontends/gtk/res/netsurf.xpm +set date:create +set date:modify -define png:exclude-chunk=time debian/netsurf-gtk/usr/share/pixmaps/netsurf.png
	install -m 644 debian/netsurf-gtk.desktop debian/netsurf-gtk/usr/share/applications
	dh_auto_install -- PREFIX=/usr TARGET=framebuffer
	rm debian/tmp/usr/share/netsurf/ca-bundle.txt
	ln -s /etc/ssl/certs/ca-certificates.crt debian/tmp/usr/share/netsurf/ca-bundle.txt

override_dh_auto_clean:
	dh_auto_clean -- PREFIX=/usr TARGET=gtk3
	dh_auto_clean -- PREFIX=/usr TARGET=framebuffer

## netsurf 3.11~6817

=== debian/changelog ===
netsurf (3.11~6817-1) UNRELEASED; urgency=medium

  * Build both gtk2 and gtk3 versions
  * CI build

 -- Vincent Sanders <jenkins@netsurf-browser.org>  Sat, 28 Jun 2025 15:51:25 +0100

## netsurf 3.11~6829

=== debian/changelog ===
netsurf (3.11~6829-1) UNRELEASED; urgency=medium

  * add xxd dependancy
  * CI build

 -- Vincent Sanders <jenkins@netsurf-browser.org>  Fri, 04 Jul 2025 16:52:29 +0100

netsurf (3.7-1) UNRELEASED; urgency=medium

  * Remove unecessary patches for 3.7 release

 -- Vincent Sanders <vince@debian.org>  Mon, 29 May 2017 11:55:26 +0000

netsurf (3.6-4) unstable; urgency=medium

  * Make png generation reproducible.
  * Add font recommend dependancy for framebuffer edition

 -- Vincent Sanders <vince@debian.org>  Mon, 02 Jan 2017 11:55:26 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Vincent Sanders <vince@debian.org>
 Uploaders: Daniel Silverstone <dsilvers@digital-scurf.org>
-Build-Depends: debhelper (>= 9~), libcurl3-dev, libpng-dev, libgtk-3-dev, flex, bison, libhtml-parser-perl, librsvg2-dev, libjpeg-dev, imagemagick, libfreetype6-dev, libvncserver-dev, libsdl1.2-dev, libxcb1-dev, libxcb-icccm4-dev, libxcb-image0-dev, libxcb-keysyms1-dev, libxcb-util0-dev, libssl1.0-dev, gperf, xxd
+Build-Depends: debhelper (>= 9~), libcurl3-dev, libpng-dev, libgtk2.0-dev, flex, bison, libhtml-parser-perl, librsvg2-dev, libjpeg-dev, imagemagick, libfreetype6-dev, libvncserver-dev, libsdl1.2-dev, libxcb1-dev, libxcb-icccm4-dev, libxcb-image0-dev, libxcb-keysyms1-dev, libxcb-util0-dev, libssl-dev, gperf, vim-common
 Standards-Version: 3.9.8
 Homepage: https://www.netsurf-browser.org
 Vcs-Browser: https://source.netsurf-browser.org/packaging/debian.git/

=== debian/rules ===
--- 
+++ 
@@ -12,11 +12,11 @@
 	dh $@ 
 
 override_dh_auto_build:
-	dh_auto_build -- V=1 PREFIX=/usr TARGET=gtk3
+	dh_auto_build -- V=1 PREFIX=/usr TARGET=gtk
 	dh_auto_build -- V=1 PREFIX=/usr TARGET=framebuffer
 
 override_dh_auto_install:
-	dh_auto_install -- PREFIX=/usr TARGET=gtk3
+	dh_auto_install -- PREFIX=/usr TARGET=gtk
 	mkdir -p debian/netsurf-gtk/usr/share/pixmaps
 	mkdir -p debian/netsurf-gtk/usr/share/applications
 	convert netsurf/frontends/gtk/res/netsurf.xpm -resize \!32x\!32 debian/netsurf-gtk/usr/share/pixmaps/netsurf.xpm
@@ -27,6 +27,6 @@
 	ln -s /etc/ssl/certs/ca-certificates.crt debian/tmp/usr/share/netsurf/ca-bundle.txt
 
 override_dh_auto_clean:
-	dh_auto_clean -- PREFIX=/usr TARGET=gtk3
+	dh_auto_clean -- PREFIX=/usr TARGET=gtk
 	dh_auto_clean -- PREFIX=/usr TARGET=framebuffer

## netsurf 3.11~6853

=== debian/changelog ===
netsurf (3.11~6853-1) UNRELEASED; urgency=medium

  * Build both gtk2 and gtk3 versions
  * CI build

 -- Vincent Sanders <jenkins@netsurf-browser.org>  Sun, 24 Aug 2025 11:20:32 +0100

## netsurf 3.11~6863

=== debian/changelog ===
netsurf (3.11~6863-1) UNRELEASED; urgency=medium

  * Build both gtk2 and gtk3 versions
  * CI build

 -- Vincent Sanders <jenkins@netsurf-browser.org>  Tue, 02 Sep 2025 09:43:29 +0100

## netsurf 3.11~6865

=== debian/changelog ===
netsurf (3.11~6865-1) UNRELEASED; urgency=medium

  * Build both gtk2 and gtk3 versions
  * CI build

 -- Vincent Sanders <jenkins@netsurf-browser.org>  Tue, 02 Sep 2025 10:30:26 +0100

## netsurf 3.11~6908

=== netsurf/frontends/amiga/Makefile ===
# ----------------------------------------------------------------------------
# Amiga target setup
# ----------------------------------------------------------------------------

CFLAGS += -std=c99 -Dnsamiga

ifneq ($(SUBTARGET),os3)
  CFLAGS += -O2 -mstrict-align -finline-functions -U__STRICT_ANSI__ -D__USE_INLINE__ -D__USE_BASETYPE__
else
  CFLAGS += -O2 -DPATH_MAX=1024 -D__m68k__ -fomit-frame-pointer -m68020-60 -msoft-float
endif

$(eval $(call feature_enabled,AMIGA_ICON,-DWITH_AMIGA_ICON,,Amiga icon))
$(eval $(call feature_enabled,AMIGA_DATATYPES,-DWITH_AMIGA_DATATYPES,,DataTypes))
$(eval $(call feature_enabled,AMISSL,-DWITH_AMISSL -DWITH_OPENSSL -D__NO_NET_API -D__NO_NETINCLUDE_ERRNO -I$(GCCSDK_INSTALL_ENV)/netinclude,-lamisslauto,AmiSSL))

CFLAGS += -I$(GCCSDK_INSTALL_ENV)/include
CFLAGS += $(shell $(PKG_CONFIG) --cflags tre)

LDFLAGS += $(shell $(PKG_CONFIG) --static --libs libcurl)
LDFLAGS += $(shell $(PKG_CONFIG) --libs tre)
LDFLAGS += -L$(GCCSDK_INSTALL_ENV)/lib

LDFLAGS += -lpbl -liconv

ifeq ($(NETSURF_USE_OPENSSL),YES)
  LDFLAGS += $(shell $(PKG_CONFIG) --static --libs openssl)
endif

ifeq ($(SUBTARGET),os3)
  LDFLAGS += -lamiga -lm
endif

COMMON_WARNFLAGS += -Wno-cast-align

EXETARGET := NetSurf

# The filter and target for split messages
MESSAGES_FILTER=ami

# ----------------------------------------------------------------------------
# Source file setup
# ----------------------------------------------------------------------------

# sources purely for the Amiga build
S_FRONTEND := gui.c history.c hotlist.c schedule.c file.c	\
	misc.c bitmap.c font.c filetype.c utf8.c memory.c	\
	plotters.c object.c menu.c save_pdf.c arexx.c version.c		\
	cookies.c ctxmenu.c clipboard.c help.c font_scan.c		\
	launch.c search.c history_local.c download.c iff_dr2d.c		\
	gui_options.c print.c	theme.c	drag.c icon.c libs.c	\
	datatypes.c dt_picture.c dt_anim.c dt_sound.c plugin_hack.c	\
	stringview/stringview.c stringview/urlhistory.c rtg.c		\
	agclass/amigaguide_class.c os3support.c font_diskfont.c		\
	selectmenu.c hash/xxhash.c font_cache.c font_bullet.c		\
	nsoption.c corewindow.c gui_menu.c pageinfo.c

# This is the final source build list
# Note this is deliberately *not* expanded here as common and image
#   are not yet available
SOURCES = $(S_COMMON) $(S_IMAGE) $(S_BROWSER) $(S_FRONTEND)

# ----------------------------------------------------------------------------
# Install target
# ----------------------------------------------------------------------------

install-amiga:

# ----------------------------------------------------------------------------
# Package target
# ----------------------------------------------------------------------------

package-amiga: netsurf.lha

AMIGA_LANGUAGES := de en it ja nl
AMIGA_PLATFORM_RESOURCES := Pointers Themes default.css default.css.info favicon.png LangNames mimetypes Resource.map splash.png
AMIGA_GENERIC_RESOURCES := $(AMIGA_LANGUAGES) ca-bundle icons
AMIGA_RESOURCES := $(addprefix $(FRONTEND_SOURCE_DIR)/resources/,$(AMIGA_PLATFORM_RESOURCES)) $(addprefix resources/,$(AMIGA_GENERIC_RESOURCES))
AMIGA_DISTRIBUTION_FILES := $(FRONTEND_SOURCE_DIR)/dist/*
AMIGA_PKG_DIR := $(FRONTEND_SOURCE_DIR)/pkg
AMIGA_INSTALL_TARGET_DIR := NetSurf_Amiga

netsurf.lha: $(EXETARGET) $(POSTEXES)
	$(VQ)echo Creating netsurf.lha
	$(Q)rm -rf $(AMIGA_INSTALL_TARGET_DIR)
	$(Q)$(MKDIR) -p $(AMIGA_INSTALL_TARGET_DIR)/NetSurf
	$(Q)cp -p $(EXETARGET) $(AMIGA_INSTALL_TARGET_DIR)/NetSurf
	$(Q)$(MKDIR) $(AMIGA_INSTALL_TARGET_DIR)/NetSurf/Resources
	$(Q)cp -rp $(AMIGA_RESOURCES) $(AMIGA_INSTALL_TARGET_DIR)/NetSurf/Resources
	$(Q)mv $(AMIGA_INSTALL_TARGET_DIR)/NetSurf/Resources/icons $(AMIGA_INSTALL_TARGET_DIR)/NetSurf/Resources/Icons
	$(Q)cp -rp $(AMIGA_DISTRIBUTION_FILES) $(AMIGA_INSTALL_TARGET_DIR)/NetSurf
	$(Q)cat resources/SearchEngines $(AMIGA_PKG_DIR)/SearchEngines >$(AMIGA_INSTALL_TARGET_DIR)/NetSurf/Resources/SearchEngines
	$(Q)cp -p resources/adblock.css $(AMIGA_INSTALL_TARGET_DIR)/NetSurf/Resources/adblock.css
	$(Q)cp -p resources/default.css $(AMIGA_INSTALL_TARGET_DIR)/NetSurf/Resources/nsdefault.css
	$(Q)cp -p resources/internal.css $(AMIGA_INSTALL_TARGET_DIR)/NetSurf/Resources/internal.css
	$(Q)cp -p resources/quirks.css $(AMIGA_INSTALL_TARGET_DIR)/NetSurf/Resources/quirks.css
	$(Q)cp -p resources/netsurf.png $(AMIGA_INSTALL_TARGET_DIR)/NetSurf/Resources/netsurf.png
	$(Q)cp -p $(AMIGA_PKG_DIR)/drawer.info $(AMIGA_INSTALL_TARGET_DIR)/NetSurf.info
	$(Q)cp -p $(AMIGA_PKG_DIR)/AutoInstall $(AMIGA_INSTALL_TARGET_DIR)
  ifeq ($(SUBTARGET),os3)
	$(Q)cp -p $(AMIGA_PKG_DIR)/netsurf_os3.readme $(AMIGA_INSTALL_TARGET_DIR)/NetSurf
	$(Q)cp -p $(AMIGA_PKG_DIR)/netsurf_os3.readme.info $(AMIGA_INSTALL_TARGET_DIR)/NetSurf
  else
	$(Q)cp -p $(AMIGA_PKG_DIR)/netsurf.readme $(AMIGA_INSTALL_TARGET_DIR)/NetSurf
	$(Q)cp -p $(AMIGA_PKG_DIR)/netsurf.readme.info $(AMIGA_INSTALL_TARGET_DIR)/NetSurf
  endif
	$(Q)cd $(AMIGA_INSTALL_TARGET_DIR); \
	  lha ao6 netsurf.lha NetSurf NetSurf.info AutoInstall

=== netsurf/frontends/riscos/Makefile ===
#
# Makefile for NetSurf RISC OS target
#
# This file is part of NetSurf 

# ----------------------------------------------------------------------------
# RISC OS target setup
# ----------------------------------------------------------------------------

$(eval $(call pkg_config_find_and_add,libcares,Cares))

$(eval $(call feature_enabled,DRAW,-DWITH_DRAW,,Drawfile rendering))
$(eval $(call feature_enabled,SPRITE,-DWITH_SPRITE,,Sprite rendering))
$(eval $(call feature_enabled,ARTWORKS,-DWITH_ARTWORKS,,ArtWorks rendering))
$(eval $(call feature_enabled,DRAW_EXPORT,-DWITH_DRAW_EXPORT,-lpencil,Drawfile export))


TPD_RISCOS = $(foreach TPL,$(notdir $(TPL_RISCOS)), \
		$(FRONTEND_SOURCE_DIR)/appdir/Resources/$(TPL)/Templates$(TPLEXT))

RESOURCES = $(TPD_RISCOS)

CFLAGS += -Driscos -std=c99 -D_BSD_SOURCE -D_POSIX_C_SOURCE \
	    -mpoke-function-name -fno-strict-aliasing
ifeq ($(findstring -elfeabi,$(SUBTARGET)),-elfeabi)
  CFLAGS += -funwind-tables
endif

CFLAGS += -I$(GCCSDK_INSTALL_ENV)/include
ifeq ($(HOST),riscos)
  CFLAGS += -I<OSLib$$Dir> -mthrowback
endif
ASFLAGS += -xassembler-with-cpp -I. -I$(GCCSDK_INSTALL_ENV)/include
LDFLAGS += -L$(GCCSDK_INSTALL_ENV)/lib -lrufl
ifeq ($(HOST),riscos)
  LDFLAGS += -LOSLib: -lOSLib32
else
  LDFLAGS += -lOSLib32
  ifeq ($(findstring -elf,$(SUBTARGET)),-elf)
    # Go for static builds & AIF binary at the moment:
    CFLAGS += -static
    LDFLAGS += -static
    EXEEXT := ,ff8
  endif
endif

# ----------------------------------------------------------------------------
# Source file setup
# ----------------------------------------------------------------------------

# S_RISCOS are sources purely for the RISC OS build
S_FRONTEND :=			\
	assert.c		\
	bitmap.c 		\
	buffer.c		\
	configure.c		\
	cookies.c		\
	corewindow.c		\
	dialog.c		\
	download.c		\
	filetype.c		\
	font.c			\
	global_history.c	\
	gui.c			\
	help.c			\
	hotlist.c		\
	image.c			\
	iconbar.c		\
	local_history.c		\
	menus.c			\
	message.c		\
	mouse.c			\
	pageinfo.c		\
	palettes.c		\
	plotters.c		\
	print.c			\
	query.c			\
	save.c			\
	save_draw.c		\
	save_pdf.c		\
	schedule.c		\
	search.c		\
	searchweb.c		\
	textarea.c		\
	textselection.c		\
	theme.c			\
	theme_install.c		\
	toolbar.c		\
	url_suggest.c		\
	ucstables.c		\
	uri.c			\
	url_complete.c		\
	url_protocol.c		\
	window.c		\
	wimp.c			\
	wimp_event.c		\
	$(addprefix content-handlers/,artworks.c awrender.s draw.c sprite.c) \
	$(addprefix gui/,button_bar.c progress_bar.c status_bar.c	\
	throbber.c url_bar.c)						\
	$(addprefix configure/,con_cache.c con_connect.c con_content.c	\
	con_fonts.c con_home.c con_image.c con_inter.c con_language.c	\
	con_secure.c con_theme.c con_search.c)

# This is the final source build list
# Note this is deliberately *not* expanded here as common and image
#   are not yet available
SOURCES = $(S_COMMON) $(S_IMAGE) $(S_BROWSER) $(S_FRONTEND)

EXETARGET := $(FRONTEND_SOURCE_DIR)/appdir/!RunImage$(EXEEXT)

# The filter and target for split messages
MESSAGES_FILTER=ro

$(FRONTEND_SOURCE_DIR)/appdir/!Run$(RUNEXT): $(FRONTEND_SOURCE_DIR)/scripts/Run $(EXETARGET)
	$(VQ)echo " MAKERUN: $@"
	$(Q)$(MAKERUN) $(EXETARGET) $< $@
ifeq ($(findstring -elfeabi,$(SUBTARGET)),-elfeabi)
	$(Q)$(SED) -i -e 's/^|\(RMEnsure ARMEABISupport\)/\1/' -e 's/SharedUnixLibrary 1\.07/SharedUnixLibrary 1.16/g' $@
endif

$(FRONTEND_SOURCE_DIR)/appdir/!Help$(RUNEXT): $(FRONTEND_SOURCE_DIR)/scripts/Help
	$(VQ)echo "      CP: $@"
	$(Q)cp $< $@

$(DEPROOT)/squeeze.d: $(EXETARGET)
	$(VQ)echo " SQUEEZE: $<"
	$(Q)$(SQUEEZE) -f -v $(EXETARGET)
	$(Q)$(TOUCH) $@

POSTEXES += $(FRONTEND_SOURCE_DIR)/appdir/!Run$(RUNEXT) $(FRONTEND_SOURCE_DIR)/appdir/!Help$(RUNEXT) $(DEPROOT)/squeeze.d


clean-run:
	$(VQ)echo "   CLEAN: !Run$(RUNEXT)"
	$(Q) $(RM) $(FRONTEND_SOURCE_DIR)/appdir/!Run$(RUNEXT)

clean-help:
	$(VQ)echo "   CLEAN: !Help$(RUNEXT)"
	$(Q) $(RM) $(FRONTEND_SOURCE_DIR)/appdir/!Help$(RUNEXT)

CLEANS += clean-run clean-help

# ----------------------------------------------------------------------------
# Template targets
# ----------------------------------------------------------------------------

# Template objects
TPL_RISCOS := de en fr nl # TODO: It'd be nice to auto-detect these
TPL_RISCOS := $(addprefix $(FRONTEND_SOURCE_DIR)/templates/,$(TPL_RISCOS))

# Template target creation macro
define compile_template
$(FRONTEND_SOURCE_DIR)/appdir/Resources/$(1)/Templates$$(TPLEXT): $(2)
	$$(VQ)echo "TEMPLATE: $(2)"
	$$(Q)$$(MKDIR) -p $(FRONTEND_SOURCE_DIR)/appdir/Resources/$(1)
	$$(Q)$$(CC) -x c -E -P $$(CFLAGS) $(2) | $$(CCRES) - $$@

CLEAN_TEMPLATES += $(FRONTEND_SOURCE_DIR)/appdir/Resources/$(1)/Templates$$(TPLEXT)

endef

$(eval $(foreach TPL,$(TPL_RISCOS), \
	$(call compile_template,$(notdir $(TPL)),$(TPL))))

clean-templates:
	$(VQ)echo "   CLEAN: $(CLEAN_TEMPLATES)"
	$(Q)$(RM) $(CLEAN_TEMPLATES)
CLEANS += clean-templates


# ----------------------------------------------------------------------------
# Install target
# ----------------------------------------------------------------------------

install-riscos:

# ----------------------------------------------------------------------------
# Package target
# ----------------------------------------------------------------------------

package-riscos: netsurf.zip

netsurf.zip: $(EXETARGET) $(POSTEXES)
	$(eval $@_TMPDIR := $(shell mktemp -d))
	$(Q) $(RM) $@
	$(Q) cp -rLvp $(FRONTEND_SOURCE_DIR)/appdir $($@_TMPDIR)/!NetSurf
	$(Q) $(CURDIR)/tools/git-date.sh $(FRONTEND_SOURCE_DIR)/distribution
	$(Q) rsync --archive --verbose $(FRONTEND_SOURCE_DIR)/distribution/!Boot $($@_TMPDIR)
	$(Q) rsync --archive --verbose $(FRONTEND_SOURCE_DIR)/distribution/!System $($@_TMPDIR)
	$(Q) rsync --archive --verbose $(FRONTEND_SOURCE_DIR)/distribution/3rdParty $($@_TMPDIR)
	$(Q) cp $(FRONTEND_SOURCE_DIR)/distribution/ReadMe $($@_TMPDIR)
	$(Q) cp $(FRONTEND_SOURCE_DIR)/distribution/LeesMij $($@_TMPDIR)
	$(Q) cd $($@_TMPDIR) && $(ZIP) -9vr\, $(CURDIR)/$@ *
	$(Q) $(RM) -rf $($@_TMPDIR)

## netsurf 3.11~6916

=== debian/changelog ===
netsurf (3.11~6916-1) UNRELEASED; urgency=medium

  * Build both gtk2 and gtk3 versions
  * CI build

 -- Vincent Sanders <jenkins@netsurf-browser.org>  Wed, 24 Sep 2025 10:15:58 +0100

## netsurf 3.11~6918

=== debian/changelog ===
netsurf (3.11~6918-1) UNRELEASED; urgency=medium

  * Build both gtk2 and gtk3 versions
  * CI build

 -- Vincent Sanders <jenkins@netsurf-browser.org>  Wed, 24 Sep 2025 15:46:52 +0100

## netsurf 3.11~6920

=== debian/changelog ===
netsurf (3.11~6920-1) UNRELEASED; urgency=medium

  * Build both gtk2 and gtk3 versions
  * CI build

 -- Vincent Sanders <jenkins@netsurf-browser.org>  Wed, 24 Sep 2025 17:09:07 +0100

## netsurf 3.11~6922

=== debian/changelog ===
netsurf (3.11~6922-1) UNRELEASED; urgency=medium

  * Build both gtk2 and gtk3 versions
  * CI build

 -- Vincent Sanders <jenkins@netsurf-browser.org>  Thu, 25 Sep 2025 09:46:47 +0100

## netsurf 3.11~6925

=== debian/changelog ===
netsurf (3.11~6925-1) UNRELEASED; urgency=medium

  * Build both gtk2 and gtk3 versions
  * CI build

 -- Vincent Sanders <jenkins@netsurf-browser.org>  Fri, 26 Sep 2025 15:38:36 +0100

## netsurf 3.11~6929

=== debian/changelog ===
netsurf (3.11~6929-1) UNRELEASED; urgency=medium

  * Build both gtk2 and gtk3 versions
  * CI build

 -- Vincent Sanders <jenkins@netsurf-browser.org>  Sat, 27 Sep 2025 16:08:34 +0100

## netsurf 3.11~6935

=== debian/changelog ===
netsurf (3.11~6935-1) UNRELEASED; urgency=medium

  * Build both gtk2 and gtk3 versions
  * CI build

 -- Vincent Sanders <jenkins@netsurf-browser.org>  Tue, 30 Sep 2025 14:27:06 +0100

## netsurf 3.11~6939

=== debian/changelog ===
netsurf (3.11~6939-1) UNRELEASED; urgency=medium

  * Build both gtk2 and gtk3 versions
  * CI build

 -- Vincent Sanders <jenkins@netsurf-browser.org>  Wed, 01 Oct 2025 09:46:20 +0100

## netsurf 3.11~6941

=== debian/changelog ===
netsurf (3.11~6941-1) UNRELEASED; urgency=medium

  * Build both gtk2 and gtk3 versions
  * CI build

 -- Vincent Sanders <jenkins@netsurf-browser.org>  Wed, 01 Oct 2025 10:25:45 +0100

## netsurf 3.11~6943

=== debian/changelog ===
netsurf (3.11~6943-1) UNRELEASED; urgency=medium

  * Build both gtk2 and gtk3 versions
  * CI build

 -- Vincent Sanders <jenkins@netsurf-browser.org>  Wed, 01 Oct 2025 13:10:22 +0100

## netsurf 3.11~6945

=== debian/changelog ===
netsurf (3.11~6945-1) UNRELEASED; urgency=medium

  * Build both gtk2 and gtk3 versions
  * CI build

 -- Vincent Sanders <jenkins@netsurf-browser.org>  Wed, 01 Oct 2025 16:57:52 +0100

## netsurf 3.11~6951

=== debian/changelog ===
netsurf (3.11~6951-1) UNRELEASED; urgency=medium

  * Build both gtk2 and gtk3 versions
  * CI build

 -- Vincent Sanders <jenkins@netsurf-browser.org>  Thu, 02 Oct 2025 15:43:22 +0100

## netsurf 3.11~6953

=== debian/changelog ===
netsurf (3.11~6953-1) UNRELEASED; urgency=medium

  * Build both gtk2 and gtk3 versions
  * CI build

 -- Vincent Sanders <jenkins@netsurf-browser.org>  Thu, 02 Oct 2025 18:23:58 +0100

## netsurf 3.11~6955

=== debian/changelog ===
netsurf (3.11~6955-1) UNRELEASED; urgency=medium

  * Build both gtk2 and gtk3 versions
  * CI build

 -- Vincent Sanders <jenkins@netsurf-browser.org>  Thu, 02 Oct 2025 21:13:34 +0100

## netsurf 3.11~6957

=== debian/changelog ===
netsurf (3.11~6957-1) UNRELEASED; urgency=medium

  * Build both gtk2 and gtk3 versions
  * CI build

 -- Vincent Sanders <jenkins@netsurf-browser.org>  Fri, 03 Oct 2025 09:57:43 +0100

## netsurf 3.11~6959

=== debian/changelog ===
netsurf (3.11~6959-1) UNRELEASED; urgency=medium

  * Build both gtk2 and gtk3 versions
  * CI build

 -- Vincent Sanders <jenkins@netsurf-browser.org>  Fri, 03 Oct 2025 15:25:08 +0100

## netsurf 3.11~6961

=== debian/changelog ===
netsurf (3.11~6961-1) UNRELEASED; urgency=medium

  * Build both gtk2 and gtk3 versions
  * CI build

 -- Vincent Sanders <jenkins@netsurf-browser.org>  Sat, 04 Oct 2025 16:33:05 +0100

## netsurf 3.11~6963

=== debian/changelog ===
netsurf (3.11~6963-1) UNRELEASED; urgency=medium

  * Build both gtk2 and gtk3 versions
  * CI build

 -- Vincent Sanders <jenkins@netsurf-browser.org>  Sun, 05 Oct 2025 20:08:16 +0100

## netsurf 3.11~6965

=== debian/changelog ===
netsurf (3.11~6965-1) UNRELEASED; urgency=medium

  * Build both gtk2 and gtk3 versions
  * CI build

 -- Vincent Sanders <jenkins@netsurf-browser.org>  Mon, 06 Oct 2025 16:28:45 +0100

## netsurf 3.11~6967

=== debian/changelog ===
netsurf (3.11~6967-1) UNRELEASED; urgency=medium

  * Build both gtk2 and gtk3 versions
  * CI build

 -- Vincent Sanders <jenkins@netsurf-browser.org>  Tue, 07 Oct 2025 09:39:57 +0100

## netsurf 3.11~6969

=== debian/changelog ===
netsurf (3.11~6969-1) UNRELEASED; urgency=medium

  * Build both gtk2 and gtk3 versions
  * CI build

 -- Vincent Sanders <jenkins@netsurf-browser.org>  Tue, 07 Oct 2025 15:53:05 +0100

## netsurf 3.11~6975

=== debian/changelog ===
netsurf (3.11~6975-1) UNRELEASED; urgency=medium

  * Build both gtk2 and gtk3 versions
  * CI build

 -- Vincent Sanders <jenkins@netsurf-browser.org>  Thu, 09 Oct 2025 08:37:27 +0100

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-pie
export DEB_CFLAGS_MAINT_APPEND = -Wno-error
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@ 

override_dh_auto_build:
	dh_auto_build -- V=1 PREFIX=/usr TARGET=gtk2
	dh_auto_build -- V=1 PREFIX=/usr TARGET=gtk3
	dh_auto_build -- V=1 PREFIX=/usr TARGET=framebuffer

override_dh_auto_install:
	dh_auto_install -- PREFIX=/usr TARGET=gtk3
	mkdir -p debian/netsurf-gtk/usr/share/pixmaps
	mkdir -p debian/netsurf-gtk/usr/share/applications
	convert netsurf/frontends/gtk/res/netsurf.xpm -resize \!32x\!32 debian/netsurf-gtk/usr/share/pixmaps/netsurf3.xpm
	convert netsurf/frontends/gtk/res/netsurf.xpm +set date:create +set date:modify -define png:exclude-chunk=time debian/netsurf-gtk/usr/share/pixmaps/netsurf3.png
	install -m 644 debian/netsurf-gtk.desktop debian/netsurf-gtk/usr/share/applications
	dh_auto_install -- PREFIX=/usr TARGET=gtk2
	mkdir -p debian/netsurf-gtk2/usr/share/pixmaps
	mkdir -p debian/netsurf-gtk2/usr/share/applications
	convert netsurf/frontends/gtk/res/netsurf.xpm -resize \!32x\!32 debian/netsurf-gtk2/usr/share/pixmaps/netsurf2.xpm
	convert netsurf/frontends/gtk/res/netsurf.xpm +set date:create +set date:modify -define png:exclude-chunk=time debian/netsurf-gtk2/usr/share/pixmaps/netsurf2.png
	install -m 644 debian/netsurf-gtk2.desktop debian/netsurf-gtk2/usr/share/applications
	dh_auto_install -- PREFIX=/usr TARGET=framebuffer
	rm debian/tmp/usr/share/netsurf/ca-bundle.txt
	ln -s /etc/ssl/certs/ca-certificates.crt debian/tmp/usr/share/netsurf/ca-bundle.txt

override_dh_auto_clean:
	dh_auto_clean -- PREFIX=/usr TARGET=gtk2
	dh_auto_clean -- PREFIX=/usr TARGET=gtk3
	dh_auto_clean -- PREFIX=/usr TARGET=framebuffer

## netsurf 3.11~6980

=== debian/changelog ===
netsurf (3.11~6980-1) UNRELEASED; urgency=medium

  * Build both gtk2 and gtk3 versions
  * CI build

 -- Vincent Sanders <jenkins@netsurf-browser.org>  Thu, 09 Oct 2025 10:19:27 +0100

## netsurf 3.11~6982

=== debian/changelog ===
netsurf (3.11~6982-1) UNRELEASED; urgency=medium

  * Build both gtk2 and gtk3 versions
  * CI build

 -- Vincent Sanders <jenkins@netsurf-browser.org>  Thu, 09 Oct 2025 20:32:30 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: netsurf
 Section: web
-Priority: extra
+Priority: optional
 Maintainer: Vincent Sanders <vince@debian.org>
 Uploaders: Daniel Silverstone <dsilvers@digital-scurf.org>
-Build-Depends: debhelper (>= 9~), libcurl3-dev, libpng-dev, libgtk2.0-dev, flex, bison, libhtml-parser-perl, librsvg2-dev, libjpeg-dev, imagemagick, libfreetype6-dev, libvncserver-dev, libsdl1.2-dev, libxcb1-dev, libxcb-icccm4-dev, libxcb-image0-dev, libxcb-keysyms1-dev, libxcb-util0-dev, libssl-dev, gperf, vim-common
-Standards-Version: 3.9.8
+Build-Depends: debhelper (>= 9~), libcurl4-openssl-dev, libpng-dev, libgtk2.0-dev, libgtk-3-dev, flex, bison, libhtml-parser-perl, librsvg2-dev, libjpeg-dev, imagemagick, libfreetype6-dev, libvncserver-dev, libsdl1.2-dev, libxcb1-dev, libxcb-icccm4-dev, libxcb-image0-dev, libxcb-keysyms1-dev, libxcb-util0-dev, libssl-dev, gperf, xxd
+Standards-Version: 4.1.4
 Homepage: https://www.netsurf-browser.org
 Vcs-Browser: https://source.netsurf-browser.org/packaging/debian.git/
 Vcs-Git: git://git.netsurf-browser.org/packaging/debian.git
@@ -32,7 +32,19 @@
  comprehensive rendering of HTML 5 with CSS 2 in a small resource footprint
  without compromising performance.
  .
- This version uses the GTK+ toolkit.
+ This version uses the GTK+ 3 toolkit.
+
+Package: netsurf-gtk2
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, netsurf-common (=${source:Version})
+Provides: www-browser
+Recommends: mime-support
+Description: small web browser with CSS support for GTK
+ NetSurf is a multi-platform lightweight web browser. It aims to provide
+ comprehensive rendering of HTML 5 with CSS 2 in a small resource footprint
+ without compromising performance.
+ .
+ This version uses the GTK+ 2 toolkit.
 
 Package: netsurf-fb
 Architecture: any

## netsurf 3.11~6984

=== debian/changelog ===
netsurf (3.11~6984-1) UNRELEASED; urgency=medium

  * Build both gtk2 and gtk3 versions
  * CI build

 -- Vincent Sanders <jenkins@netsurf-browser.org>  Fri, 10 Oct 2025 14:26:41 +0100

## netsurf 3.11~6987

=== debian/changelog ===
netsurf (3.11~6987-1) UNRELEASED; urgency=medium

  * Build both gtk2 and gtk3 versions
  * CI build

 -- Vincent Sanders <jenkins@netsurf-browser.org>  Sat, 11 Oct 2025 19:32:47 +0100

## netsurf 3.11~7001

=== debian/changelog ===
netsurf (3.11~7001-1) UNRELEASED; urgency=medium

  * Build both gtk2 and gtk3 versions
  * CI build

 -- Vincent Sanders <jenkins@netsurf-browser.org>  Tue, 21 Oct 2025 18:02:52 +0100

## netsurf 3.11~7006

=== debian/changelog ===
netsurf (3.11~7006-1) UNRELEASED; urgency=medium

  * Build both gtk2 and gtk3 versions
  * CI build

 -- Vincent Sanders <jenkins@netsurf-browser.org>  Thu, 23 Oct 2025 22:54:47 +0100

## netsurf 3.11~7009

=== debian/changelog ===
netsurf (3.11~7009-1) UNRELEASED; urgency=medium

  * Build both gtk2 and gtk3 versions
  * CI build

 -- Vincent Sanders <jenkins@netsurf-browser.org>  Thu, 23 Oct 2025 23:47:44 +0100

## netsurf 3.11~7012

=== debian/changelog ===
netsurf (3.11~7012-1) UNRELEASED; urgency=medium

  * Build both gtk2 and gtk3 versions
  * CI build

 -- Vincent Sanders <jenkins@netsurf-browser.org>  Sat, 25 Oct 2025 22:19:21 +0100

## netsurf 3.11~7015

=== debian/changelog ===
netsurf (3.11~7015-1) UNRELEASED; urgency=medium

  * Build both gtk2 and gtk3 versions
  * CI build

 -- Vincent Sanders <jenkins@netsurf-browser.org>  Sun, 02 Nov 2025 10:13:27 +0000

## netsurf 3.11~7018

=== debian/changelog ===
netsurf (3.11~7018-1) UNRELEASED; urgency=medium

  * Build both gtk2 and gtk3 versions
  * CI build

 -- Vincent Sanders <jenkins@netsurf-browser.org>  Mon, 03 Nov 2025 10:43:37 +0000

## netsurf 3.11~7022

=== debian/changelog ===
netsurf (3.11~7022-1) UNRELEASED; urgency=medium

  * Build both gtk2 and gtk3 versions
  * CI build

 -- Vincent Sanders <jenkins@netsurf-browser.org>  Sun, 09 Nov 2025 23:15:42 +0000

## netsurf 3.11~7028

=== debian/changelog ===
netsurf (3.11~7028-1) UNRELEASED; urgency=medium

  * Build both gtk2 and gtk3 versions
  * CI build

 -- Vincent Sanders <jenkins@netsurf-browser.org>  Fri, 14 Nov 2025 19:11:51 +0000

## netsurf 3.11~7031

=== debian/changelog ===
netsurf (3.11~7031-1) UNRELEASED; urgency=medium

  * Build both gtk2 and gtk3 versions
  * CI build

 -- Vincent Sanders <jenkins@netsurf-browser.org>  Sun, 16 Nov 2025 17:32:48 +0000

## netsurf 3.11~7033

=== debian/changelog ===
netsurf (3.11~7033-1) UNRELEASED; urgency=medium

  * Build both gtk2 and gtk3 versions
  * CI build

 -- Vincent Sanders <jenkins@netsurf-browser.org>  Sun, 16 Nov 2025 20:42:51 +0000

## netsurf 3.11~7039

=== debian/changelog ===
netsurf (3.11~7039-1) UNRELEASED; urgency=medium

  * Build both gtk2 and gtk3 versions
  * CI build

 -- Vincent Sanders <jenkins@netsurf-browser.org>  Sat, 22 Nov 2025 17:33:25 +0000

## netsurf 3.11~7051

=== debian/changelog ===
netsurf (3.11~7051-1) UNRELEASED; urgency=medium

  * Build both gtk2 and gtk3 versions
  * CI build

 -- Vincent Sanders <jenkins@netsurf-browser.org>  Fri, 28 Nov 2025 15:25:00 +0000

## netsurf 3.11~7053

=== debian/changelog ===
netsurf (3.11~7053-1) UNRELEASED; urgency=medium

  * Build both gtk2 and gtk3 versions
  * CI build

 -- Vincent Sanders <jenkins@netsurf-browser.org>  Sat, 29 Nov 2025 16:35:15 +0000
